Subject: bug#66272: 30.0.50; Dired fails to revert when wildchars in path

From: Michael Heerdegen <[email-masked]>
Date: Sat, 30 Sep 2023 05:29:20 +0200

Hello,

I have created a directory for demonstration with names and contents
like this (in my Debian system using master):

  /home/micha/Treasure/today/test?dir/:
  .
  ..
  a

  /home/micha/Treasure/today/test?dir/a:
  .
  ..
  some
  random
  files

It follows a recipe for a bug using emacs -Q:

  1. dired /home/micha/Treasure/today/test?dir/a [I see the three
     files as expected]
  2. Rename directory "a" to "b".  I did that from a second dired buffer
     of "test?dir" using wdired, but it should not matter.
  3. Go back to the first dired buffer and hit g.  Then my buffer
     only displays these contents:

| ls: cannot access 'test?dir/b/': No such file or directory
| //DIRED-OPTIONS// --quoting-style=literal

This also happens with autorevert.

TIA,

Michael.

In GNU Emacs 30.0.50 (build 11, x86_64-pc-linux-gnu, cairo version
 1.16.0) of 2023-09-29 built on drachen
Repository revision: 11b21f7015b6b74f7e72b8e1cbb99ec495320f1f
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101007
System Description: Debian GNU/Linux 12 (bookworm)

Configured using:
 'configure --with-x-toolkit=no'